/**
 * TODO
 * CardNumberJsonSerializer.java 2017年10月16日 下午5:02:31 by panxinwen
 * Copyright(C) 2014-2020 netease - easegame, All Rights Reserved.
 */
package com.liquidnet.commons.lang.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * @author <a href="mailto:kowlone2006@163.com">An Jiabin</a>
 * @version 1.0 2017年10月16日 下午5:02:31
 */
public class CardNameJsonSerializer extends JsonSerializer<String>{
    @Override
    public void serialize(String value, JsonGenerator jgen, SerializerProvider provide)
            throws IOException, JsonProcessingException {
        jgen.writeString("");
    }



    public static void main(String[] args) {
    	String value = "潘新";
    	if(value.length()==2){
    		System.out.println(value.substring(0,1)+"*");
    	}else{
    		for(int i=0;i<value.length()-2;i++){

    		}
    		System.out.println(value.substring(0,1)+"*");
    	}

	}
}
